Package fr.gouv.vitam.storage.engine.common.model

# Class TapeArchiveReferentialEntity

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.TapeArchiveReferentialEntity

public class TapeArchiveReferentialEntity extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DIGEST`
  `static final String`
  `ENTRY_TYPE`
  `static final String`
  `ID`
  `static final String`
  `LAST_UPDATE_DATE`
  `static final String`
  `LOCATION`
  `static final String`
  `SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeArchiveReferentialEntity()`
  `TapeArchiveReferentialEntity(String archiveId, TapeLibraryArchiveStorageLocation location, EntryType entryTape, Long size, String digestValue, String lastUpdateDate)`
  `TapeArchiveReferentialEntity(String archiveId, TapeLibraryArchiveStorageLocation location, Long size, String digestValue, String lastUpdateDate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getArchiveId()`
  `String`
  `getDigestValue()`
  `EntryType`
  `getEntryTape()`
  `String`
  `getLastUpdateDate()`
  `TapeLibraryArchiveStorageLocation`
  `getLocation()`
  `Long`
  `getSize()`
  `TapeArchiveReferentialEntity`
  `setArchiveId(String archiveId)`
  `TapeArchiveReferentialEntity`
  `setDigestValue(String digestValue)`
  `TapeArchiveReferentialEntity`
  `setEntryTape(EntryType entryTape)`
  `TapeArchiveReferentialEntity`
  `setLastUpdateDate(String lastUpdateDate)`
  `TapeArchiveReferentialEntity`
  `setLocation(TapeLibraryArchiveStorageLocation location)`
  `TapeArchiveReferentialEntity`
  `setSize(Long size)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

  - ### LOCATION

    public static final String LOCATION
    See Also:
      - Constant Field Values

  - ### LAST_UPDATE_DATE

    public static final String LAST_UPDATE_DATE
    See Also:
      - Constant Field Values

  - ### SIZE

    public static final String SIZE
    See Also:
      - Constant Field Values

  - ### DIGEST

    public static final String DIGEST
    See Also:
      - Constant Field Values

  - ### ENTRY_TYPE

    public static final String ENTRY_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TapeArchiveReferentialEntity

    public TapeArchiveReferentialEntity()

  - ### TapeArchiveReferentialEntity

    public TapeArchiveReferentialEntity(String archiveId, TapeLibraryArchiveStorageLocation location, Long size, String digestValue, String lastUpdateDate)

  - ### TapeArchiveReferentialEntity

    public TapeArchiveReferentialEntity(String archiveId, TapeLibraryArchiveStorageLocation location, EntryType entryTape, Long size, String digestValue, String lastUpdateDate)

- ## Method Details

  - ### getArchiveId

    public String getArchiveId()

  - ### setArchiveId

    public TapeArchiveReferentialEntity setArchiveId(String archiveId)

  - ### getLocation

    public TapeLibraryArchiveStorageLocation getLocation()

  - ### setLocation

    public TapeArchiveReferentialEntity setLocation(TapeLibraryArchiveStorageLocation location)

  - ### getSize

    public Long getSize()

  - ### setSize

    public TapeArchiveReferentialEntity setSize(Long size)

  - ### getDigestValue

    public String getDigestValue()

  - ### setDigestValue

    public TapeArchiveReferentialEntity setDigestValue(String digestValue)

  - ### getLastUpdateDate

    public String getLastUpdateDate()

  - ### setLastUpdateDate

    public TapeArchiveReferentialEntity setLastUpdateDate(String lastUpdateDate)

  - ### getEntryTape

    public EntryType getEntryTape()

  - ### setEntryTape

    public TapeArchiveReferentialEntity setEntryTape(EntryType entryTape)